Package org.h2.samples

# Class FunctionMultiReturn

java.lang.Object
org.h2.samples.FunctionMultiReturn

public class FunctionMultiReturn extends Object
User defined functions can return a result set, and can therefore be used like a table. This sample application uses such a function to convert polar to cartesian coordinates.

## Constructor Summary

Constructors
Constructor
Description
`FunctionMultiReturn()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this sample application from the command line.
`static ResultSet`
`polar2Cartesian(Double r, Double alpha)`
Convert polar coordinates to cartesian coordinates.
`static Double[]`
`polar2CartesianArray(Double r, Double alpha)`
Convert polar coordinates to cartesian coordinates.
`static ResultSet`
`polar2CartesianSet(Connection conn, String query)`
Convert a set of polar coordinates to cartesian coordinates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FunctionMultiReturn

public FunctionMultiReturn()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this sample application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception` - on failure

### polar2Cartesian

public static ResultSet polar2Cartesian(Double r, Double alpha)
Convert polar coordinates to cartesian coordinates. The function may be called twice, once to retrieve the result columns (with null parameters), and the second time to return the data.

Parameters:
  `r` - the distance from the point 0/0
  `alpha` - the angle
Returns:
  a result set with two columns: x and y

### polar2CartesianArray

public static Double[] polar2CartesianArray(Double r, Double alpha)
Convert polar coordinates to cartesian coordinates. The function may be called twice, once to retrieve the result columns (with null parameters), and the second time to return the data.

Parameters:
  `r` - the distance from the point 0/0
  `alpha` - the angle
Returns:
  an array two values: x and y

### polar2CartesianSet

public static ResultSet polar2CartesianSet(Connection conn, String query) throws SQLException
Convert a set of polar coordinates to cartesian coordinates. The function may be called twice, once to retrieve the result columns (with null parameters), and the second time to return the data.

Parameters:
  `conn` - the connection
  `query` - the query
Returns:
  a result set with the coordinates
Throws:
  `SQLException` - on failure